.detail {
  background: #1d2028;
  padding: 0 10%;
  .text {
    padding-top: 2.8rem;
    margin-bottom: 1.125rem;
    font-family: Kanit;
    font-style: normal;
    font-weight: bold;
    font-size: 2.5rem;
    line-height: 2.75rem;
    text-align: center;
    text-transform: uppercase;
    color: #41ddff;
  }

  .space {
    padding-top: 7rem;
  }

  .content {
    margin-top: 3rem;
    .text1 {
      font-family: Kanit;
      font-style: normal;
      font-weight: bold;
      font-size: 1.375rem;
      line-height: 2.0625rem;
      display: flex;
      align-items: center;
      letter-spacing: 0.03em;
      color: #ff00c7;
    }

    .sub_text {
      display: grid;
      margin-top: 1.5625rem;
      .text2 {
        font-family: Poppins;
        font-style: normal;
        font-weight: 500;
        font-size: 1rem;
        line-height: 2rem;
        letter-spacing: 0.02em;
        color: #d8e2ea;
      }
    }
  }

  .line_text {
    padding-top: 0.75rem;
    display: flex;
  }
  .info {
    justify-content: center;
    display: flex;
    align-items: center;
    padding-top: 5rem;
    .group {
      width: 100%;
      .sub {
        position: relative;
        padding: 0 5%;
        background: #242731;
        border: 2px solid #2bd9ff;
        box-sizing: border-box;
        border-radius: 0.8125rem;
        .wol_coin {
          margin-top: 1.8125rem;
          .text1 {
            font-family: Kanit;
            font-style: normal;
            font-weight: bold;
            font-size: 2rem;
            line-height: 2.75rem;
            text-transform: uppercase;
            color: #ff00c7;
          }
          .text2 {
            font-family: Kanit;
            font-style: normal;
            font-weight: normal;
            font-size: 0.9375rem;
            line-height: 2.125rem;
            letter-spacing: 0.03em;
            text-transform: uppercase;
            color: #d8e2ea;
          }
        }

        .wol_address {
          margin-top: 1.8125rem;
          //   display: flex;
          .contract {
            text-transform: capitalize;
            font-family: Kanit;
            font-style: normal;
            font-weight: normal;
            font-size: 1.25rem;
            line-height: 2.125rem;
            letter-spacing: 0.03em;
            color: #d8e2ea;
          }
          .address {
            font-family: Kanit;
            font-style: normal;
            font-weight: 600;
            font-size: 1.25rem;
            line-height: 2.125rem;
            letter-spacing: 0.03em;
            color: #2bd9ff;
            display: inline-block;
            width: 35rem;
            white-space: nowrap;
            overflow: hidden !important;
            text-overflow: ellipsis;
          }

          .copy {
            text-transform: capitalize;
            cursor: pointer;
            margin-left: 1.875rem;
            border: 1px solid #ff36d3;
            box-sizing: border-box;
            border-radius: 0.25rem;
            min-width: 4.3125rem;
            height: 2.375rem;
            font-family: Kanit;
            font-style: normal;
            font-weight: 500;
            font-size: 0.9375rem;
            line-height: 2.125rem;
            letter-spacing: 0.03em;
            color: #ff36d3;
            text-align: center;
          }
        }
      }
      .sub:after {
        content: '';
        width: 4.3125rem;
        height: 4rem;
        background: #1d2028;
        border-bottom: 2px solid #2bd9ff;
        position: absolute;
        top: -1.9375rem;
        left: -2.0625rem;
        transform: rotate(-45deg);
      }
      .sub:before {
        content: '';
        width: 4.3125rem;
        height: 4rem;
        background: #1d2028;
        border-left: 2px solid #2bd9ff;
        position: absolute;
        bottom: -2.125rem;
        right: -2.3125rem;
        transform: rotate( 45deg);
      }
    }
  }

  .heros {
    .group {
      display: flex;
      justify-content: center;
      align-items: center;
      margin-bottom: 8rem;
    }
    padding-top: 11.25rem;
    .arrow_left {
      justify-content: center;
      display: flex;
      align-items: center;
      margin-right: -1.6875rem;
      z-index: 1;
    }

    .arrow_right {
      justify-content: center;
      display: flex;
      align-items: center;
      margin-left: -1.6875rem;
      z-index: 1;
    }
    .slide {
      position: relative;
      display: flex;
      justify-content: center;
      .banner {
        background-image: url('~libs/ui/src/assets/images/mu-of-heroes.png');
        background-size: 100%;
        position: absolute;
        background-repeat: no-repeat;
        height: 14rem;
        width: 14rem;
        margin-top: -7rem;
      }
      .image {
        justify-content: center;
        display: flex;
        align-items: center;
        background-image: url('~libs/ui/src/assets/images/bg-hero-2.png');
        background-size: 100%;
        background-repeat: no-repeat;
        width: 100%;
        height: 96%;
        margin: 0.625rem;
      }
      width: 30.5rem;
      height: 36.25rem;
      // margin: auto;
      border: 1.85417px solid #2bd9ff;
      box-sizing: border-box;
      box-shadow: 0px 3.70833px 0px #41ddff,
        0px 2.8971375rem 2.8971375rem rgba(65, 221, 255, 0.15);
    }
    .text_d {
      margin-bottom: 1.625rem;
      font-family: Kanit;
      font-style: normal;
      font-weight: bold;
      font-size: 3rem;
      line-height: 3.75rem;
      text-transform: uppercase;
      color: #ff36d3;
    }
    .content {
      margin-top: 2rem;
      .text_h {
        margin-bottom: 0.875rem;
        font-family: Kanit;
        font-style: normal;
        font-weight: 600;
        font-size: 1.75rem;
        line-height: 2.625rem;
        display: flex;
        align-items: center;
        letter-spacing: 0.03em;
        text-transform: uppercase;
        color: #ffffff;
      }

      .text_s {
        font-family: PoppinsLight;
        font-style: normal;
        font-weight: 300;
        font-size: 0.9375rem;
        line-height: 1.5rem;
        text-align: justify;
        letter-spacing: 0.02em;
        color: #d8e2ea;
      }
    }
  }
}

.icon {
  float: right;
  .icon_image {
    width: 5.375rem;
    height: 5.375rem;
    margin-top: -2.6875rem;
    border: 5px solid rgba(255, 49, 210, 0.58);
    filter: drop-shadow(0px 30px 50px #670050);
    border-radius: 4.1875rem;
  }
}

.new_line {
  border: 1px solid #57586c;
  margin: 1.5rem 1rem;
}

.text3 {
  text-transform: capitalize;
  font-family: Poppins;
  font-style: normal;
  font-weight: normal;
  font-size: 1rem;
  line-height: 2.25rem;
  letter-spacing: 0.03em;
  color: #d8e2ea;
}

.text4 {
  font-family: Poppins;
  font-style: normal;
  font-weight: bold;
  font-size: 1.25rem;
  line-height: 2.25rem;
  letter-spacing: 0.03em;
  color: #ffffff;
}

.roadmap {
  padding-bottom: 6.25rem;
}

.btn {
  cursor: pointer;
  text-transform: uppercase;
  bottom: -2rem;
  position: absolute;
  width: 12.5rem;
  height: 3.75rem;
  background: #ec00b8;
  border: 2px solid #ffffff;
  box-sizing: border-box;
  filter: drop-shadow(0px 10px 20px rgba(255, 0, 199, 0.39));
  justify-content: center;
  display: flex;
  align-items: center;
  .btn-text {
    text-decoration: none;
    font-family: Kanit;
    font-style: normal;
    font-weight: bold;
    font-size: 1rem;
    line-height: 1.5rem;
    display: flex;
    align-items: center;
    text-align: center;
    letter-spacing: 0.03em;
    color: #ffffff;
  }
}

.fixed_area {
  margin-bottom: 2rem;
  .fixed_item {
    margin-bottom: 1rem;
  }
}

.grid_center {
  justify-content: start;
  margin-top: 5rem;
}

.grid_start {
  justify-content: start;
  margin-top: 5rem;
}

.grid_end {
  justify-content: end;
  display: grid;
  margin-top: 5rem;
}

.space_left {
  margin-left: 5rem;
}

@media only screen and (max-width: 1440px) {
  .space_left {
    margin-left: 3rem;
  }
}

@media only screen and (max-width: 992px) {
  .grid_start,
  .grid_end {
    justify-content: center !important;
  }
}


@media only screen and (max-width: 576px) {
  .detai {
    .heros {
      padding-top: 9rem;
      .slide {
        width: 28.5rem;
        height: 34.25rem;
      }
    }

    .group {
      margin-bottom: 6rem;
    }
  }

  .roadmap {
    padding-bottom: 5rem;
    .space {
      padding-top: 5rem;
    }
  }

  .content {
    padding-top: 1rem;
    .grid_center,
    .grid_start,
    .grid_end {
      margin-top: 2rem;
    }
  }

  .space_left {
    margin-left: 2rem;
  }
}

@media only screen and (max-width: 440px) {
  .detai {
    .heros {
      padding-top: 9rem;
      .slide {
        width: 25.5rem;
        height: 31.25rem;
      }
    }
  }

  .space_left {
    margin-left: 1rem;
  }
}

